<?php


require_once("syncinclude.php");
if (file_exists(DOCROOT_PATH."inc/changedataout.inc.php"))
	require_once(DOCROOT_PATH."inc/changedataout.inc.php");

$return=3;
if (auth())
{
	$return=5;
	if (intval($_POST['KeyBestellung']))
	{
		$return = 0;
		//hole order
		$cur_query = eS_execute_query("select payment_method, cc_type, cc_owner, cc_number, cc_expires from orders where orders_id=".intval($_POST['KeyBestellung']));
		$ZahlungsInfo = go_db_fetch_object($cur_query);
		$ZahlungsInfo->send=0;
		//ist es Banktransfer?
		if ($ZahlungsInfo->payment_method=="banktransfer")
		{
			//hole bankdaten
			$cur_query = eS_execute_query("select * from banktransfer where orders_id=".intval($_POST['KeyBestellung']));
			$Bank = go_db_fetch_object($cur_query);
			if ($Bank->orders_id>0)
			{
				$ZahlungsInfo->send=1;
				$ZahlungsInfo->cBankName=$Bank->banktransfer_bankname;
				$ZahlungsInfo->cBLZ=$Bank->banktransfer_blz;
				$ZahlungsInfo->cKontoNr=$Bank->banktransfer_number;
				$ZahlungsInfo->cInhaber=$Bank->banktransfer_owner;
			}
		}
		if ($ZahlungsInfo->payment_method=="cc")
		{		
			//Kreditkarte
			//hole chainkey
			$ZahlungsInfo->send=1;
			$cur_query = eS_execute_query("select set_it_up_value from set_it_up where set_it_up_key=\"CC_KEYCHAIN\"");
			$chain = go_db_fetch_object($cur_query);
			$ZahlungsInfo->cKartenNr = changedataout($ZahlungsInfo->cc_number,$chain->set_it_up_value);
			$ZahlungsInfo->cGueltigkeit = $ZahlungsInfo->cc_expires;
			$ZahlungsInfo->cCVV = $ZahlungsInfo->cc_cvv;
			$ZahlungsInfo->cKartenTyp = $ZahlungsInfo->cc_type;
			$ZahlungsInfo->cInhaber = $ZahlungsInfo->cc_owner;
		}
		
		
		if ($ZahlungsInfo->send==1)
		{
			echo(CSVkonform($ZahlungsInfo->orders_id).';');
			echo(CSVkonform($ZahlungsInfo->orders_id).';');
			echo(CSVkonform($ZahlungsInfo->cBankName).';');
			echo(CSVkonform($ZahlungsInfo->cBLZ).';');
			echo(CSVkonform($ZahlungsInfo->cKontoNr).';');
			echo(CSVkonform($ZahlungsInfo->cKartenNr).';');
			echo(CSVkonform($ZahlungsInfo->cGueltigkeit).';');
			echo(CSVkonform($ZahlungsInfo->cCVV).';');
			echo(CSVkonform($ZahlungsInfo->cKartenTyp).';');
			echo(CSVkonform($ZahlungsInfo->cInhaber).';');
			echo("\n");
		}
	}
}

echo($return);
logge($return);
?>